Bug 796066 - [2d470cd910b49976befea664ae5cc7ea6aa10020]Replace-brick results in source-brick to go offline.
[2d470cd910b49976befea664ae5cc7ea6aa10020]Replace-brick results in source-bri...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-22 03:12 EST by Vijaykumar Koppad
Modified: 2015-11-03 18:04 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-02-22 03:12:48 EST
Description of problem:
I have a distributed volume with 4 bricks. When i start replcace brick , the source brick goes offline.

log says.
###############################################################################
[2012-02-22 13:11:09.226290] I [glusterfsd.c:1578:main] 0-/usr/local/sbin/glusterfsd: Started running /usr/local/sbin/glusterfsd version 3git
[2012-02-22 13:11:09.689069] W [socket.c:419:__socket_keepalive] 0-socket: failed to set keep idle on socket 8
[2012-02-22 13:11:09.689255] W [socket.c:1885:socket_server_event_handler] 0-socket.glusterfsd: Failed to set keep-alive: Operation not supported
[2012-02-22 13:11:10.314013] W [xlator.c:211:xlator_dynload] 0-xlator: /usr/local/lib/glusterfs/3git/xlator/cluster/pump.so: undefined symbol: afr_fill_loc_info
[2012-02-22 13:11:10.314090] E [graph.y:221:volume_type] 0-parser: Volume 'doa-pump', line 30: type 'cluster/pump' is not valid or not found on this machine
[2012-02-22 13:11:10.314137] E [graph.y:330:volume_end] 0-parser: "type" not specified for volume doa-pump
[2012-02-22 13:11:10.314226] E [glusterfsd.c:1466:glusterfs_process_volfp] 0-: failed to construct the graph
[2012-02-22 13:11:10.314612] W [glusterfsd.c:783:cleanup_and_exit] (-->/usr/local/lib/libgfrpc.so.0(rpc_clnt_handle_reply+0x20e) [0x7ffe45740b4f] (-->/usr/local/sbin/glusterfsd(mgmt_getspec_cbk+0x354) [0x40beca] (-->/usr/local/sbin/glusterfsd(glusterfs_process_volfp+0x1cd) [0x407c46]))) 0-: received signum (0), shutting down
#############################################################################
 
but the brick vol file has pump 

volume doa-pump
    type cluster/pump
    subvolumes doa-io-threads doa-replace-brick
end-volume


How reproducible : always with my automation script.
Comment 1 Anand Avati 2012-02-22 05:55:07 EST
CHANGE: http://review.gluster.com/2796 (pump: Fixed undefined reference to fill_loc_info fn.) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.